### Method

# Foundry OnTypeDiagnostics foreach_in_range

#### Declaration [src]

    void
    foundry_on_type_diagnostics_foreach_in_range (
      FoundryOnTypeDiagnostics* self,
      guint first_line,
      guint last_line,
      FoundryOnTypeDiagnosticsForeachFunc callback,
      gpointer callback_data
    )

#### Description [src]

Calls `callback` for each diagnostic found between the two lines.

#### Parameters

`first_line`

  Type: `guint`

  Limit diagnostics to this line or after.

`last_line`

  Type: `guint`

  Limit diagnostics to this line or before.

`callback`

  Type: `FoundryOnTypeDiagnosticsForeachFunc`

  No description available.

`callback_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.